Configuration (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.workflow

## Enum Configuration

- java.lang.Object
- - java.lang.Enum<Configuration>
  - - org.cloudbus.cloudsim.workflow.Configuration

- All Implemented Interfaces:
    Serializable, Comparable<Configuration>

      public enum Configuration
      extends Enum<Configuration>

  This class implements the properties manager. Here the name of the properties file is defined. Moreover, when properties are to be read, this is the class that is called.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProperty(String key)`
    `void` | `setProperty(String key, String value)`
    `static Configuration` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Configuration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final Configuration INSTANCE

  - ### Method Detail

    - #### values

          public static Configuration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Configuration c : Configuration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Configuration valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getProperty

          public String getProperty(String key)

    - #### setProperty

          public void setProperty(String key,
                         String value)

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.